libvisio::VSDCollector Class Reference documentation

libvisio::VSDCollector Class Referenceabstract

`#include <VSDCollector.h>`

Inheritance diagram for libvisio::VSDCollector:

## Public Member Functions
| VSDCollector ()
virtual | ~VSDCollector ()
virtual void | collectDocumentTheme (const VSDXTheme *theme)=0
virtual void | collectEllipticalArcTo (unsigned id, unsigned level, double x3, double y3, double x2, double y2, double angle, double ecc)=0
virtual void | collectForeignData (unsigned level, const librevenge::RVNGBinaryData &binaryData)=0
virtual void | collectOLEList (unsigned id, unsigned level)=0
virtual void | collectOLEData (unsigned id, unsigned level, const librevenge::RVNGBinaryData &oleData)=0
virtual void | collectEllipse (unsigned id, unsigned level, double cx, double cy, double xleft, double yleft, double xtop, double ytop)=0
virtual void | collectLine (unsigned level, const std::optional< double > &strokeWidth, const std::optional< Colour > &c, const std::optional< unsigned char > &linePattern, const std::optional< unsigned char > &startMarker, const std::optional< unsigned char > &endMarker, const std::optional< unsigned char > &lineCap, const std::optional< double > &rounding, const std::optional< long > &qsLineColour, const std::optional< long > &qsLineMatrix)=0
virtual void | collectFillAndShadow (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc, const std::optional< double > &shadowOffsetX, const std::optional< double > &shadowOffsetY, const std::optional< long > &qsFc, const std::optional< long > &qsSc, const std::optional< long > &qsLm)=0
virtual void | collectFillAndShadow (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc)=0
virtual void | collectGeometry (unsigned id, unsigned level, bool noFill, bool noLine, bool noShow)=0
virtual void | collectMoveTo (unsigned id, unsigned level, double x, double y)=0
virtual void | collectLineTo (unsigned id, unsigned level, double x, double y)=0
virtual void | collectArcTo (unsigned id, unsigned level, double x2, double y2, double bow)=0
virtual void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, unsigned char xType, unsigned char yType, unsigned degree, const std::vector< std::pair< double, double > > &ctrlPnts, const std::vector< double > &kntVec, const std::vector< double > &weights)=0
virtual void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, unsigned dataID)=0
virtual void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, const NURBSData &data)=0
virtual void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned char xType, unsigned char yType, const std::vector< std::pair< double, double > > &points)=0
virtual void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned dataID)=0
virtual void | collectPolylineTo (unsigned id, unsigned level, double x, double y, const PolylineData &data)=0
virtual void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, unsigned degree, double lastKnot, std::vector< std::pair< double, double > > controlPoints, std::vector< double > knotVector, std::vector< double > weights)=0
virtual void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, std::vector< std::pair< double, double > > points)=0
virtual void | collectXFormData (unsigned level, const XForm &xform)=0
virtual void | collectTxtXForm (unsigned level, const XForm &txtxform)=0
virtual void | collectShapesOrder (unsigned id, unsigned level, const std::vector< unsigned > &shapeIds)=0
virtual void | collectForeignDataType (unsigned level, unsigned foreignType, unsigned foreignFormat, double offsetX, double offsetY, double width, double height)=0
virtual void | collectPageProps (unsigned id, unsigned level, double pageWidth, double pageHeight, double shadowOffsetX, double shadowOffsetY, double scale, unsigned char drawingScaleUnit, const std::optional< unsigned > variationColorIndex, const std::optional< unsigned > variationStyleIndex)=0
virtual void | collectPage (unsigned id, unsigned level, unsigned backgroundPageID, bool isBackgroundPage, const VSDName &pageName)=0
virtual void | collectShape (unsigned id, unsigned level, unsigned parent, unsigned masterPage, unsigned masterShape, unsigned lineStyle, unsigned fillStyle, unsigned textStyle, const VSDName &aShapeType)=0
virtual void | collectSplineStart (unsigned id, unsigned level, double x, double y, double secondKnot, double firstKnot, double lastKnot, unsigned degree)=0
virtual void | collectSplineKnot (unsigned id, unsigned level, double x, double y, double knot)=0
virtual void | collectSplineEnd ()=0
virtual void | collectInfiniteLine (unsigned id, unsigned level, double x1, double y1, double x2, double y2)=0
virtual void | collectRelCubBezTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d)=0
virtual void | collectRelEllipticalArcTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d)=0
virtual void | collectRelLineTo (unsigned id, unsigned level, double x, double y)=0
virtual void | collectRelMoveTo (unsigned id, unsigned level, double x, double y)=0
virtual void | collectRelQuadBezTo (unsigned id, unsigned level, double x, double y, double a, double b)=0
virtual void | collectUnhandledChunk (unsigned id, unsigned level)=0
virtual void | collectText (unsigned level, const librevenge::RVNGBinaryData &textStream, TextFormat format)=0
virtual void | collectCharIX (unsigned id, unsigned level, unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth)=0
virtual void | collectDefaultCharStyle (unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth)=0
virtual void | collectParaIX (unsigned id, unsigned level, unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags)=0
virtual void | collectDefaultParaStyle (unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags)=0
virtual void | collectTextBlock (unsigned level, const std::optional< double > &leftMargin, const std::optional< double > &rightMargin, const std::optional< double > &topMargin, const std::optional< double > &bottomMargin, const std::optional< unsigned char > &verticalAlign, const std::optional< bool > &isBgFilled, const std::optional< Colour > &bgColour, const std::optional< double > &defaultTabStop, const std::optional< unsigned char > &textDirection)=0
virtual void | collectNameList (unsigned id, unsigned level)=0
virtual void | collectName (unsigned id, unsigned level, const librevenge::RVNGBinaryData &name, TextFormat format)=0
virtual void | collectPageSheet (unsigned id, unsigned level)=0
virtual void | collectMisc (unsigned level, const VSDMisc &misc)=0
virtual void | collectLayer (unsigned id, unsigned level, const VSDLayer &layer)=0
virtual void | collectLayerMem (unsigned level, const VSDName &layerMem)=0
virtual void | collectTabsDataList (unsigned level, const std::map< unsigned, VSDTabSet > &tabSets)=0
virtual void | collectStyleSheet (unsigned id, unsigned level, unsigned parentLineStyle, unsigned parentFillStyle, unsigned parentTextStyle)=0
virtual void | collectLineStyle (unsigned level, const std::optional< double > &strokeWidth, const std::optional< Colour > &c, const std::optional< unsigned char > &linePattern, const std::optional< unsigned char > &startMarker, const std::optional< unsigned char > &endMarker, const std::optional< unsigned char > &lineCap, const std::optional< double > &rounding, const std::optional< long > &qsLineColour, const std::optional< long > &qsLineMatrix)=0
virtual void | collectFillStyle (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc, const std::optional< double > &shadowOffsetX, const std::optional< double > &shadowOffsetY, const std::optional< long > &qsFillColour, const std::optional< long > &qsShadowColour, const std::optional< long > &qsFillMatrix)=0
virtual void | collectFillStyle (unsigned level, const std::optional< Colour > &colourFG, const std::optional< Colour > &colourBG, const std::optional< unsigned char > &fillPattern, const std::optional< double > &fillFGTransparency, const std::optional< double > &fillBGTransparency, const std::optional< unsigned char > &shadowPattern, const std::optional< Colour > &shfgc)=0
virtual void | collectCharIXStyle (unsigned id, unsigned level, unsigned charCount, const std::optional< VSDName > &font, const std::optional< Colour > &fontColour, const std::optional< double > &fontSize, const std::optional< bool > &bold, const std::optional< bool > &italic, const std::optional< bool > &underline, const std::optional< bool > &doubleunderline, const std::optional< bool > &strikeout, const std::optional< bool > &doublestrikeout, const std::optional< bool > &allcaps, const std::optional< bool > &initcaps, const std::optional< bool > &smallcaps, const std::optional< bool > &superscript, const std::optional< bool > &subscript, const std::optional< double > &scaleWidth)=0
virtual void | collectParaIXStyle (unsigned id, unsigned level, unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags)=0
virtual void | collectTextBlockStyle (unsigned level, const std::optional< double > &leftMargin, const std::optional< double > &rightMargin, const std::optional< double > &topMargin, const std::optional< double > &bottomMargin, const std::optional< unsigned char > &verticalAlign, const std::optional< bool > &isBgFilled, const std::optional< Colour > &bgColour, const std::optional< double > &defaultTabStop, const std::optional< unsigned char > &textDirection)=0
virtual void | collectFieldList (unsigned id, unsigned level)=0
virtual void | collectTextField (unsigned id, unsigned level, int nameId, int formatStringId)=0
virtual void | collectNumericField (unsigned id, unsigned level, unsigned short format, unsigned short cellType, double number, int formatStringId)=0
virtual void | collectMetaData (const librevenge::RVNGPropertyList &metaData)=0
virtual void | startPage (unsigned pageId)=0
virtual void | endPage ()=0
virtual void | endPages ()=0

## Private Member Functions
| VSDCollector (const VSDCollector &)
VSDCollector & | operator= (const VSDCollector &)

## Constructor & Destructor Documentation

## ◆ VSDCollector() [1/2]

libvisio::VSDCollector::VSDCollector | ( |  | ) |
| inline

Referenced by operator=(), and VSDCollector().

## ◆ ~VSDCollector()

virtual libvisio::VSDCollector::~VSDCollector | ( |  | ) |
| inlinevirtual

## ◆ VSDCollector() [2/2]

libvisio::VSDCollector::VSDCollector | ( | const VSDCollector & |  | ) |
| private

## Member Function Documentation

## ◆ collectArcTo()

virtual void libvisio::VSDCollector::collectArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | bow )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDArcTo::handle().

## ◆ collectCharIX()

virtual void libvisio::VSDCollector::collectCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDCharIX::handle().

## ◆ collectCharIXStyle()

virtual void libvisio::VSDCollector::collectCharIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectDefaultCharStyle()

virtual void libvisio::VSDCollector::collectDefaultCharStyle | ( | unsigned | charCount,
|  | const std::optional< VSDName > & | font,
|  | const std::optional< Colour > & | fontColour,
|  | const std::optional< double > & | fontSize,
|  | const std::optional< bool > & | bold,
|  | const std::optional< bool > & | italic,
|  | const std::optional< bool > & | underline,
|  | const std::optional< bool > & | doubleunderline,
|  | const std::optional< bool > & | strikeout,
|  | const std::optional< bool > & | doublestrikeout,
|  | const std::optional< bool > & | allcaps,
|  | const std::optional< bool > & | initcaps,
|  | const std::optional< bool > & | smallcaps,
|  | const std::optional< bool > & | superscript,
|  | const std::optional< bool > & | subscript,
|  | const std::optional< double > & | scaleWidth )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectDefaultParaStyle()

virtual void libvisio::VSDCollector::collectDefaultParaStyle | ( | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectDocumentTheme()

virtual void libvisio::VSDCollector::collectDocumentTheme | ( | const VSDXTheme * | theme | ) |
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectEllipse()

virtual void libvisio::VSDCollector::collectEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | double | cx,
|  | double | cy,
|  | double | xleft,
|  | double | yleft,
|  | double | xtop,
|  | double | ytop )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDEllipse::handle().

## ◆ collectEllipticalArcTo()

virtual void libvisio::VSDCollector::collectEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x3,
|  | double | y3,
|  | double | x2,
|  | double | y2,
|  | double | angle,
|  | double | ecc )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDEllipticalArcTo::handle().

## ◆ collectFieldList()

virtual void libvisio::VSDCollector::collectFieldList | ( | unsigned | id,
|  | unsigned | level )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDFieldList::handle().

## ◆ collectFillAndShadow() [1/2]

virtual void libvisio::VSDCollector::collectFillAndShadow | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectFillAndShadow() [2/2]

virtual void libvisio::VSDCollector::collectFillAndShadow | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc,
|  | const std::optional< double > & | shadowOffsetX,
|  | const std::optional< double > & | shadowOffsetY,
|  | const std::optional< long > & | qsFc,
|  | const std::optional< long > & | qsSc,
|  | const std::optional< long > & | qsLm )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectFillStyle() [1/2]

virtual void libvisio::VSDCollector::collectFillStyle | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectFillStyle() [2/2]

virtual void libvisio::VSDCollector::collectFillStyle | ( | unsigned | level,
|  | const std::optional< Colour > & | colourFG,
|  | const std::optional< Colour > & | colourBG,
|  | const std::optional< unsigned char > & | fillPattern,
|  | const std::optional< double > & | fillFGTransparency,
|  | const std::optional< double > & | fillBGTransparency,
|  | const std::optional< unsigned char > & | shadowPattern,
|  | const std::optional< Colour > & | shfgc,
|  | const std::optional< double > & | shadowOffsetX,
|  | const std::optional< double > & | shadowOffsetY,
|  | const std::optional< long > & | qsFillColour,
|  | const std::optional< long > & | qsShadowColour,
|  | const std::optional< long > & | qsFillMatrix )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectForeignData()

virtual void libvisio::VSDCollector::collectForeignData | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | binaryData )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectForeignDataType()

virtual void libvisio::VSDCollector::collectForeignDataType | ( | unsigned | level,
|  | unsigned | foreignType,
|  | unsigned | foreignFormat,
|  | double | offsetX,
|  | double | offsetY,
|  | double | width,
|  | double | height )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectGeometry()

virtual void libvisio::VSDCollector::collectGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | bool | noFill,
|  | bool | noLine,
|  | bool | noShow )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDGeometry::handle().

## ◆ collectInfiniteLine()

virtual void libvisio::VSDCollector::collectInfiniteLine | ( | unsigned | id,
|  | unsigned | level,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDInfiniteLine::handle().

## ◆ collectLayer()

virtual void libvisio::VSDCollector::collectLayer | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDLayer & | layer )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectLayerMem()

virtual void libvisio::VSDCollector::collectLayerMem | ( | unsigned | level,
|  | const VSDName & | layerMem )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectLine()

virtual void libvisio::VSDCollector::collectLine | ( | unsigned | level,
|  | const std::optional< double > & | strokeWidth,
|  | const std::optional< Colour > & | c,
|  | const std::optional< unsigned char > & | linePattern,
|  | const std::optional< unsigned char > & | startMarker,
|  | const std::optional< unsigned char > & | endMarker,
|  | const std::optional< unsigned char > & | lineCap,
|  | const std::optional< double > & | rounding,
|  | const std::optional< long > & | qsLineColour,
|  | const std::optional< long > & | qsLineMatrix )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectLineStyle()

virtual void libvisio::VSDCollector::collectLineStyle | ( | unsigned | level,
|  | const std::optional< double > & | strokeWidth,
|  | const std::optional< Colour > & | c,
|  | const std::optional< unsigned char > & | linePattern,
|  | const std::optional< unsigned char > & | startMarker,
|  | const std::optional< unsigned char > & | endMarker,
|  | const std::optional< unsigned char > & | lineCap,
|  | const std::optional< double > & | rounding,
|  | const std::optional< long > & | qsLineColour,
|  | const std::optional< long > & | qsLineMatrix )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectLineTo()

virtual void libvisio::VSDCollector::collectLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDLineTo::handle().

## ◆ collectMetaData()

virtual void libvisio::VSDCollector::collectMetaData | ( | const librevenge::RVNGPropertyList & | metaData | ) |
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectMisc()

virtual void libvisio::VSDCollector::collectMisc | ( | unsigned | level,
|  | const VSDMisc & | misc )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectMoveTo()

virtual void libvisio::VSDCollector::collectMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDMoveTo::handle().

## ◆ collectName()

virtual void libvisio::VSDCollector::collectName | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | name,
|  | TextFormat | format )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectNameList()

virtual void libvisio::VSDCollector::collectNameList | ( | unsigned | id,
|  | unsigned | level )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectNumericField()

virtual void libvisio::VSDCollector::collectNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | unsigned short | cellType,
|  | double | number,
|  | int | formatStringId )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDNumericField::handle().

## ◆ collectNURBSTo() [1/3]

virtual void libvisio::VSDCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | const NURBSData & | data )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectNURBSTo() [2/3]

virtual void libvisio::VSDCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | unsigned | dataID )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectNURBSTo() [3/3]

virtual void libvisio::VSDCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | const std::vector< std::pair< double, double > > & | ctrlPnts,
|  | const std::vector< double > & | kntVec,
|  | const std::vector< double > & | weights )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDNURBSTo1::handle(), libvisio::VSDNURBSTo2::handle(), and libvisio::VSDNURBSTo3::handle().

## ◆ collectOLEData()

virtual void libvisio::VSDCollector::collectOLEData | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | oleData )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectOLEList()

virtual void libvisio::VSDCollector::collectOLEList | ( | unsigned | id,
|  | unsigned | level )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectPage()

virtual void libvisio::VSDCollector::collectPage | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | backgroundPageID,
|  | bool | isBackgroundPage,
|  | const VSDName & | pageName )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectPageProps()

virtual void libvisio::VSDCollector::collectPageProps | ( | unsigned | id,
|  | unsigned | level,
|  | double | pageWidth,
|  | double | pageHeight,
|  | double | shadowOffsetX,
|  | double | shadowOffsetY,
|  | double | scale,
|  | unsigned char | drawingScaleUnit,
|  | const std::optional< unsigned > | variationColorIndex,
|  | const std::optional< unsigned > | variationStyleIndex )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectPageSheet()

virtual void libvisio::VSDCollector::collectPageSheet | ( | unsigned | id,
|  | unsigned | level )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectParaIX()

virtual void libvisio::VSDCollector::collectParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDParaIX::handle().

## ◆ collectParaIXStyle()

virtual void libvisio::VSDCollector::collectParaIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectPolylineTo() [1/3]

virtual void libvisio::VSDCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | const PolylineData & | data )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectPolylineTo() [2/3]

virtual void libvisio::VSDCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | const std::vector< std::pair< double, double > > & | points )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDPolylineTo1::handle(), libvisio::VSDPolylineTo2::handle(), and libvisio::VSDPolylineTo3::handle().

## ◆ collectPolylineTo() [3/3]

virtual void libvisio::VSDCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned | dataID )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectRelCubBezTo()

virtual void libvisio::VSDCollector::collectRelCubBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDRelCubBezTo::handle().

## ◆ collectRelEllipticalArcTo()

virtual void libvisio::VSDCollector::collectRelEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDRelEllipticalArcTo::handle().

## ◆ collectRelLineTo()

virtual void libvisio::VSDCollector::collectRelLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDRelLineTo::handle().

## ◆ collectRelMoveTo()

virtual void libvisio::VSDCollector::collectRelMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDRelMoveTo::handle().

## ◆ collectRelQuadBezTo()

virtual void libvisio::VSDCollector::collectRelQuadBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDRelQuadBezTo::handle().

## ◆ collectShape()

virtual void libvisio::VSDCollector::collectShape | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parent,
|  | unsigned | masterPage,
|  | unsigned | masterShape,
|  | unsigned | lineStyle,
|  | unsigned | fillStyle,
|  | unsigned | textStyle,
|  | const VSDName & | aShapeType )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectShapeData() [1/2]

virtual void libvisio::VSDCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | std::vector< std::pair< double, double > > | points )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectShapeData() [2/2]

virtual void libvisio::VSDCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | double | lastKnot,
|  | std::vector< std::pair< double, double > > | controlPoints,
|  | std::vector< double > | knotVector,
|  | std::vector< double > | weights )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectShapesOrder()

virtual void libvisio::VSDCollector::collectShapesOrder | ( | unsigned | id,
|  | unsigned | level,
|  | const std::vector< unsigned > & | shapeIds )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectSplineEnd()

virtual void libvisio::VSDCollector::collectSplineEnd | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDArcTo::handle(), libvisio::VSDEllipse::handle(), libvisio::VSDEllipticalArcTo::handle(), libvisio::VSDEmpty::handle(), libvisio::VSDGeometry::handle(), libvisio::VSDGeometryList::handle(), libvisio::VSDInfiniteLine::handle(), libvisio::VSDLineTo::handle(), libvisio::VSDMoveTo::handle(), libvisio::VSDNURBSTo1::handle(), libvisio::VSDNURBSTo2::handle(), libvisio::VSDNURBSTo3::handle(), libvisio::VSDPolylineTo1::handle(), libvisio::VSDPolylineTo2::handle(), libvisio::VSDPolylineTo3::handle(), libvisio::VSDRelCubBezTo::handle(), libvisio::VSDRelEllipticalArcTo::handle(), libvisio::VSDRelLineTo::handle(), libvisio::VSDRelMoveTo::handle(), libvisio::VSDRelQuadBezTo::handle(), and libvisio::VSDSplineStart::handle().

## ◆ collectSplineKnot()

virtual void libvisio::VSDCollector::collectSplineKnot | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | knot )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDSplineKnot::handle().

## ◆ collectSplineStart()

virtual void libvisio::VSDCollector::collectSplineStart | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | secondKnot,
|  | double | firstKnot,
|  | double | lastKnot,
|  | unsigned | degree )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDSplineStart::handle().

## ◆ collectStyleSheet()

virtual void libvisio::VSDCollector::collectStyleSheet | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parentLineStyle,
|  | unsigned | parentFillStyle,
|  | unsigned | parentTextStyle )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectTabsDataList()

virtual void libvisio::VSDCollector::collectTabsDataList | ( | unsigned | level,
|  | const std::map< unsigned, VSDTabSet > & | tabSets )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectText()

virtual void libvisio::VSDCollector::collectText | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | textStream,
|  | TextFormat | format )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectTextBlock()

virtual void libvisio::VSDCollector::collectTextBlock | ( | unsigned | level,
|  | const std::optional< double > & | leftMargin,
|  | const std::optional< double > & | rightMargin,
|  | const std::optional< double > & | topMargin,
|  | const std::optional< double > & | bottomMargin,
|  | const std::optional< unsigned char > & | verticalAlign,
|  | const std::optional< bool > & | isBgFilled,
|  | const std::optional< Colour > & | bgColour,
|  | const std::optional< double > & | defaultTabStop,
|  | const std::optional< unsigned char > & | textDirection )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectTextBlockStyle()

virtual void libvisio::VSDCollector::collectTextBlockStyle | ( | unsigned | level,
|  | const std::optional< double > & | leftMargin,
|  | const std::optional< double > & | rightMargin,
|  | const std::optional< double > & | topMargin,
|  | const std::optional< double > & | bottomMargin,
|  | const std::optional< unsigned char > & | verticalAlign,
|  | const std::optional< bool > & | isBgFilled,
|  | const std::optional< Colour > & | bgColour,
|  | const std::optional< double > & | defaultTabStop,
|  | const std::optional< unsigned char > & | textDirection )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectTextField()

virtual void libvisio::VSDCollector::collectTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

Referenced by libvisio::VSDTextField::handle().

## ◆ collectTxtXForm()

virtual void libvisio::VSDCollector::collectTxtXForm | ( | unsigned | level,
|  | const XForm & | txtxform )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectUnhandledChunk()

virtual void libvisio::VSDCollector::collectUnhandledChunk | ( | unsigned | id,
|  | unsigned | level )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ collectXFormData()

virtual void libvisio::VSDCollector::collectXFormData | ( | unsigned | level,
|  | const XForm & | xform )
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ endPage()

virtual void libvisio::VSDCollector::endPage | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ endPages()

virtual void libvisio::VSDCollector::endPages | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

## ◆ operator=()

VSDCollector & libvisio::VSDCollector::operator= | ( | const VSDCollector & |  | ) |
| private

## ◆ startPage()

virtual void libvisio::VSDCollector::startPage | ( | unsigned | pageId | ) |
| pure virtual

Implemented in libvisio::VSDContentCollector, and libvisio::VSDStylesCollector.

The documentation for this class was generated from the following file:

- VSDCollector.h